Index: pjproject/trunk/third_party/build/speex/libspeex.vcp
===================================================================
--- pjproject/trunk/third_party/build/speex/libspeex.vcp	(revision 1969)
+++ pjproject/trunk/third_party/build/speex/libspeex.vcp	(revision 2002)
@@ -13401,5 +11257,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13412,4 +11267,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSII_FP) Debug"
@@ -13444,5 +11302,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13455,4 +11312,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSII) Release"
@@ -13487,5 +11347,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13498,4 +11357,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSII) Debug"
@@ -13530,5 +11392,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13541,4 +11402,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE SH4) Release"
@@ -13573,5 +11437,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13584,4 +11447,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE SH4) Debug"
@@ -13616,5 +11482,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13627,4 +11492,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE SH3) Release"
@@ -13659,5 +11527,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13670,4 +11537,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE SH3) Debug"
@@ -13702,5 +11572,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13713,4 +11582,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSIV) Release"
@@ -13745,5 +11617,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13756,4 +11627,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSIV) Debug"
@@ -13788,5 +11662,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13799,4 +11672,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE emulator) Release"
@@ -13831,5 +11707,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13842,4 +11717,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE emulator) Debug"
@@ -13874,5 +11752,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13885,4 +11762,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4I) Release"
@@ -13917,5 +11797,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13928,4 +11807,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4I) Debug"
@@ -13960,5 +11842,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -13971,4 +11852,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSIV_FP) Release"
@@ -14003,5 +11887,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -14014,4 +11897,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPSIV_FP) Debug"
@@ -14046,5 +11932,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -14057,4 +11942,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4) Release"
@@ -14067,6 +11955,4 @@
 	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
 	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
-	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
-	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
 	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
 	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
@@ -14097,5 +11983,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -14109,4 +11994,9 @@
 	".\speex\speex_config_types.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\..\pjlib\include\pj\compat\m_auto.h"\
+	"..\..\..\pjlib\include\pj\compat\os_auto.h"\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4) Debug"
@@ -14141,5 +12031,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -14152,4 +12041,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPS16) Release"
@@ -14184,5 +12076,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -14195,4 +12086,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE MIPS16) Debug"
@@ -14227,5 +12121,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -14238,4 +12131,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4T) Release"
@@ -14270,5 +12166,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -14281,4 +12176,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE ARMV4T) Debug"
@@ -14313,5 +12211,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -14324,4 +12221,7 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE x86) Release"
@@ -14356,5 +12256,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
@@ -14367,21 +12266,30 @@
 	".\config.h"\
 	
+NODEP_CPP_MODES=\
+	"..\..\speex\libspeex\misc.h"\
+	
 
 !ELSEIF  "$(CFG)" == "libspeex - Win32 (WCE x86) Debug"
 
 DEP_CPP_MODES=\
-	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
-	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
-	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
-	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
-	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
-	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
-	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
-	"..\..\..\pjlib\include\pj\compat\size_t.h"\
-	"..\..\..\pjlib\include\pj\config.h"\
-	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_armcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_codew.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_gcce.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_msvc.h"\
+	"..\..\..\pjlib\include\pj\compat\cc_mwcc.h"\
+	"..\..\..\pjlib\include\pj\compat\os_darwinos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux.h"\
+	"..\..\..\pjlib\include\pj\compat\os_linux_kernel.h"\
+	"..\..\..\pjlib\include\pj\compat\os_palmos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_rtems.h"\
+	"..\..\..\pjlib\include\pj\compat\os_sunos.h"\
+	"..\..\..\pjlib\include\pj\compat\os_symbian.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32.h"\
+	"..\..\..\pjlib\include\pj\compat\os_win32_wince.h"\
+	"..\..\..\pjlib\include\pj\compat\size_t.h"\
+	"..\..\..\pjlib\include\pj\config.h"\
+	"..\..\..\pjlib\include\pj\config_site.h"\
+	"..\..\..\pjlib\include\pj\config_site_sample.h"\
 	"..\..\..\pjlib\include\pj\log.h"\
 	"..\..\..\pjlib\include\pj\types.h"\
@@ -14399,5 +12307,4 @@
 	"..\..\speex\libspeex\fixed_generic.h"\
 	"..\..\speex\libspeex\ltp.h"\
-	"..\..\speex\libspeex\misc.h"\
 	"..\..\speex\libspeex\modes.h"\
 	"..\..\speex\libspeex\nb_celp.h"\
